/// <reference types="jquery" />
import 'elementorModules';
import BaseHandler = elementorModules.frontend.handlers.Base;
import BaseSettings = elementorModules.frontend.handlers.BaseSettings;
import './countdown.scss';
import * as elementorModules from "elementorModules";
interface CountdownSettings extends BaseSettings {
    selectors: {
        root: string;
        days: string;
        hours: string;
        minutes: string;
        seconds: string;
    };
}
export default class Countdown extends BaseHandler {
    private intervalId?;
    constructor(options: BaseSettings);
    getDefaultElements(): {
        $root: JQuery<any>;
        $days: JQuery<any>;
        $hours: JQuery<any>;
        $minutes: JQuery<any>;
        $seconds: JQuery<any>;
    };
    getDefaultSettings(): CountdownSettings;
    onInit(): void;
    onDestroy(): void;
    update(): void;
    daysLabel(value: number): "Dana" | "Dan";
    hoursLabel(value: number): "Sati" | "Sata" | "Sat";
    minutesLabel(value: number): "Minuta" | "Minute";
    secondsLabel(value: number): "Sekundi" | "Sekunde" | "Sekunda";
}
export {};
