<?php
declare(strict_types=1);

namespace Inti\Elementor;

/**
 * Class ConfigProvider
 *
 * @package Inti\Elementor
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-elementor
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'elementor' => [
                'categories' => [
                    'inti' => [
                        'title' => 'Inti Elementi',
                    ],
                ],

                'widgets' => [
                    Widget\Countdown::class,
                ],
            ],

            'wp' => [
                'plugins' => [
                    Plugin\RegisterAssets::class,
                    Plugin\RegisterCategories::class,
                    Plugin\RegisterWidgets::class,
                ],
            ],

            'elementor_widgets' => [

            ],

            'dependencies' => [
                'factories' => [
                    Widget\WidgetPluginManager::class => Widget\WidgetPluginManagerFactory::class,
                ],
            ],

            'wp_plugins' => [
                'factories' => [
                    Plugin\RegisterCategories::class => Plugin\RegisterCategoriesFactory::class,
                    Plugin\RegisterWidgets::class => Plugin\RegisterWidgetsFactory::class,
                ],

                'invokables' => [
                    Plugin\RegisterAssets::class,
                ],
            ],
        ];
    }
}
