<?php
declare(strict_types=1);

namespace Inti\Elementor\Plugin;

use Inti\Wp\Plugin\PluginInterface;
use function add_action;
use function wp_register_script;
use function wp_register_style;

/**
 * Class RegisterAssets
 *
 * @package Inti\Elementor\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-elementor
 */
final class RegisterAssets implements PluginInterface
{
    public function attach(): void
    {
        add_action('wp_enqueue_scripts', [$this, 'wp_enqueue_scripts']);
    }

    public function wp_enqueue_scripts(): void
    {
        wp_register_script('inti-widget-countdown', 'inti-widget-countdown.js', ['elementor-frontend'], false, true);
        wp_register_style('inti-widget-countdown', 'inti-widget-countdown.css');
    }
}
