<?php /** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Elementor\Widget;

use Elementor\Widget_Base;
use Laminas\ServiceManager\AbstractPluginManager;
use Laminas\ServiceManager\Factory\InvokableFactory;

/**
 * Class WidgetPluginManager
 *
 * @package Inti\Elementor\Widget
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-elementor
 */
final class WidgetPluginManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = Widget_Base::class;
    /** @var array<string, string> */
    protected $factories = [
        Countdown::class => InvokableFactory::class,
    ];
}
